REPCHQ(1)

NAME
repchq - Chequea un archivo XML para repasa.

SYNOPSIS

repchq [opciones] arch [arch ...]

DESCRIPCIóN

Recibe uno o más archivos XML para repasa (DTDs def.dtd, clasif.dtd, sec.dtd o prdef.dtd) y chequea su sintaxis y convenciones.

Las opciones son las siguientes:

-ayuda
    Presenta ayuda corta y opciones

-D  Establece otro directorio en el cual buscar archivos con más precedencia

-man
    Presenta página del manual

-refentry
    Presenta página del manual en formato DocBook

-V  Versión de este programa

-f  Establece formato de descripciones: texto, tex o docbook

-l  Establece longitud máxima de descripciones. e.g -l 80

-j  Establece orden de tipos por chequear (precede sobre orden especificado en archivo). Separar un identificador de otro con ';' e.g -j "Año;Periodo;Mes" o -j "Área;Asignatura;Logro;Indicador"

-e  En el chequeo de tipos, revisa el orden y que estén sólo los tipos especificados

-c  Establece nombre del archivo de clasificaciones por defecto (si se omite se usa el mismo nombre del archivo de secuencia pero con extensión .cla)

-d  Establece nombre del archivo de definiciones por defecto (si se omite se usa el mismo nombre del archivo especificado pero con extensión .def)

Las convenciones precisas que cada formato debe seguir están en la documentación de cada formato.

Los errores son reportados por stderr. Al completar la revisión si encuentra algún error retornará 1 al sistema operativo o en caso de éxito retorna 0.

El formato de los errores reportados es estándar:

    archivo:linea:columna mensaje_error
             y puede ser empleado por varios editores de texto (e.g vi o emacs) para ubicar automáticamente la posición del error.

EJEMPLOS

    repchq bot.def Revisa el archivo de definiciones bot.def

    repchq -D /usr/share/xml/structio bot.def bot.cla Que revisa el archivo de definiciones bot.def y el archivo de clasificaciones bot.cla, pero emplea con preferencia la ruta /usr/share/xml/structio bot.def para buscar archivos XML y DTDs.

VER TAMBIéN

def(5), secuencia(5), clasificacion(5), secuencia(5), prdef(5)

FALLAS

Este programa no maneja la mayoría de DocBook ni de TeX. Los casos no cubiertos son reportados por stderr y pueden ser completados con relativa facilidad en las fuentes (archivo lrepasa.ml, funciones docbook2txt y tex2txt). También pueden reportarse enviando un correo a los desarrolladores <structio-info@lists.sourceforge.net>, con el mensaje de error completo y si es posible el archivo en el que se presenta la falla (si logra solucionarlo en las fuentes apreciaríamos que nos envíe su aporte cediéndolo al dominio público).